## cccd 0.3beta3

=== Makefile ===
SOURCES = cccd.c cd.c cddb.c cddbp.c info.c options.c misc.c
HEADERS = $(SOURCES:.c=.h) general.h icons.h
OBJECTS = cccd.o cd.o cddb.o cddbp.o info.o options.o misc.o
OTHERS = Makefile CHANGES README TODO README.original BUGREPORT COPYING
TARGET = cccd

CC = gcc

# you may need to change this
MAILPROG = "/bin/mail -i"

# If $(TARGET) spits out too many debug messages, remove -DDEBUG from 
# next line

#CFLAGS = -g -Wall `gtk-config --cflags` -DDEBUG
#LDFLAGS = -lefence `gtk-config --libs` 
#LDFLAGS = `gtk-config --libs` 

# production flags (no debugging)
CFLAGS = -O2 -Wall `gtk-config --cflags`
LDFLAGS = -s `gtk-config --libs` 

prefix=/usr/local
bindir=$(prefix)/bin

CFLAGS += -DMAILPROG="\"/bin/mail -i\""

.SUFFIXES: .c

.c.o: $(CC) -c $(CFLAGS) $<

all: $(TARGET)

$(TARGET): $(OBJECTS)
	gcc -o $(TARGET) $(OBJECTS) $(CFLAGS) $(LDFLAGS)

install: $(TARGET)
	mkdir -p $(bindir)
	install -c -s -m 0755 cccd $(bindir)
	@echo "Please read the README for additional installation hints"

static:	$(OBJECTS)
#	gcc -o $(TARGET).static $(OBJECTS) -L/usr/lib -L/usr/X11R6/lib -Wl,-Bstatic  -lgtk -lgdk -lglib -Wl,-Bdynamic -lXext -lX11 -lm
	gcc -static -o $(TARGET).static $(OBJECTS) -L/usr/lib -L/usr/X11R6/lib  -lgtk -lgdk -lglib -lXext -lX11 -lm

clean:
	rm -rf core *.o $(TARGET)

# dependancies, gcc `gtk-config --cflags` -MM *.c
cccd.o: cccd.c general.h misc.h cd.h options.h cddb.h info.h cccd.h \
 icons.h
cd.o: cd.c cd.h
cddb.o: cddb.c general.h cd.h cddbp.h misc.h options.h cddb.h
cddbp.o: cddbp.c misc.h cddbp.h
info.o: info.c general.h misc.h cd.h cddb.h options.h cccd.h info.h
misc.o: misc.c
options.o: options.c general.h misc.h options.h

## cccd 0.3beta4

=== Makefile ===
--- 
+++ 
@@ -12,16 +12,17 @@
 # If $(TARGET) spits out too many debug messages, remove -DDEBUG from 
 # next line
 
-#CFLAGS = -g -Wall `gtk-config --cflags` -DDEBUG
+CFLAGS = -g -Wall `gtk-config --cflags` -DDEBUG
 #LDFLAGS = -lefence `gtk-config --libs` 
-#LDFLAGS = `gtk-config --libs` 
+LDFLAGS = `gtk-config --libs` 
 
 # production flags (no debugging)
-CFLAGS = -O2 -Wall `gtk-config --cflags`
-LDFLAGS = -s `gtk-config --libs` 
+#CFLAGS = -O2 -Wall `gtk-config --cflags`
+#LDFLAGS = -s `gtk-config --libs` 
 
 prefix=/usr/local
 bindir=$(prefix)/bin
+mandir=$(prefix)/man/man1
 
 CFLAGS += -DMAILPROG="\"/bin/mail -i\""
 
@@ -37,6 +38,8 @@
 install: $(TARGET)
 	mkdir -p $(bindir)
 	install -c -s -m 0755 cccd $(bindir)
+	mkdir -p $(mandir)
+	install -c -m 0755 cccd.1 $(mandir)
 	@echo "Please read the README for additional installation hints"
 
 static:	$(OBJECTS)

=== debian/changelog ===
cccd (0.3beta4-7.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:27 +0000

cccd (0.3beta4-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: cddbp.c:100:3: error: format not a string literal and no
    format arguments [-Werror=format-security]" Applied Patch by Sebastian
    Ramacher (Closes: #669445)

 -- Bastian Venthur <venthur@debian.org>  Mon, 06 Aug 2012 11:39:46 +0200

cccd (0.3beta4-7) unstable; urgency=low

  * Acknowledge NMUs (thanks Barry deFreese and Ben Hutchings).
  * Repackage from scratch using cdbs + debhelper >= 8.
  * Standards-Version: 3.9.2 (no changes required).
  * Minor package description fix to silence lintian.
  * debian/watch: Add file (unused, no upstream available at the moment).
  * debian/copyright: Use DEP-5 format.
  * debian/rules: Reduce the number of unneeded dependencies with --as-needed.
  * Fix hurd-i386 FTBFS (Closes: #647967).
    Thanks Samuel Thibault <sthibault@debian.org> for the patch.

 -- Uwe Hermann <uwe@debian.org>  Sun, 08 Apr 2012 23:24:18 +0200

cccd (0.3beta4-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix event mask for window, thanks to Adam Majer (Closes: #589443)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 26 Jul 2010 02:30:34 +0100

cccd (0.3beta4-6.1) unstable; urgency=low

  * Non-maintainer upload.
    + With permission from maintainer.
  * Build with Gtk2.
    + Build-dep libgtk2.0-dev instead of libgtk1.2-dev.
    + Thanks to Lars Friedrichs for the patch.
  * Bump debhelper build-dep and compat to 5.
  * Make clean not ignore errors.
  * Fix copyright holders in debian/copyright.
  * Bump Standards Version to 3.8.0.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 18 Jan 2009 12:43:00 -0500

cccd (0.3beta4-6) unstable; urgency=low

  * Fix debian/copyright (Closes: #302936). Actually this was fixed already,
    I simply forgot to close the respective bug.
  * Removed emacs cruft from debian/changelog.
  * Upgraded to debhelper v4.

 -- Uwe Hermann <uwe@debian.org>  Fri,  3 Mar 2006 21:23:21 +0100

cccd (0.3beta4-5) unstable; urgency=low

  * Updated FSF address in debian/copyright (lintian).
  * Standards-Version: 3.6.2.0 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Sun, 23 Oct 2005 16:04:44 +0200

cccd (0.3beta4-4) unstable; urgency=low

  * Fixed typos in manpage (Closes: #311242).

 -- Uwe Hermann <uwe@debian.org>  Sun,  5 Jun 2005 14:41:40 +0200

cccd (0.3beta4-3) unstable; urgency=low

  * Applied patch by Andreas Jochens which fixes a FTBFS bug
    with gcc-3.4, thanks (Closes: #258561).
  * debian/menu: Added missing quotes.
  * Standards-Version: 3.6.1.0 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Sun, 20 Mar 2005 22:49:44 +0100

cccd (0.3beta4-2) unstable; urgency=low

  * Applied patch from eperez@dei.inf.uc3m.es, which fixes cccd so that it
    doesn't send the user's email address upon cddb requests (Closes: #139307).

 -- Uwe Hermann <uwe@debian.org>  Fri, 22 Mar 2002 14:13:15 +0100

cccd (0.3beta4-1) unstable; urgency=low

  * New maintainer (Closes: #87150).
  * New upstream release (Closes: #112809).
  * Repackaged from scratch using debhelper v3.
  * debian/control:
     + Removed unnecessary Build-Depends libglib1.2-dev, xlib6g-dev, xlibs-dev.
     + The debhelper Build-Dependency is versioned (>> 3.0.0) now.
     + Standards-Version: 3.5.6.0
        + Added support for DEB_BUILD_OPTIONS.
     + Some small fixes in the package description.
  * debian/copyright:
     + Display the standard GPL header.
     + Updated the email address of the upstream author.
     + There's no upstream homepage at the moment.
  * debian/rules: Removed some obsolete calls, e.g. dh_suidregister...
  * Fixed two compiler warnings.
  * Fixed some things in the manpage, added some new stuff.

 -- Uwe Hermann <uwe@debian.org>  Mon,  7 Jan 2002 17:59:07 +0100

cccd (0.3beta3-4) unstable; urgency=low

  * Added Build-Depends (closes: #70217).
  * Set maintainer to Debian QA Group (relates: #87150).
  * Indent list in extended description.
  * Binary now in /usr/bin instead of /usr/X11R6/bin

 -- Peter Palfrader <weasel@debian.org>  Sat, 24 Feb 2001 00:28:52 +0000

cccd (0.3beta3-3) unstable; urgency=low

  * Recompiled with latest libraries.
  * Upgraded Standards-Version.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 16 Oct 2000 22:53:45 +0000

cccd (0.3beta3-2) unstable; urgency=low

  * suid root flag removed from binary.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon,  5 Apr 1999 16:17:49 -0400

cccd (0.3beta3-1) unstable; urgency=low

  * Initial Release.

 -- Robert S. Edmonds <stu@novare.net>  Mon, 22 Mar 1999 20:15:23 -0500

=== debian/control ===
Source: cccd
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 8.0.0), libgtk2.0-dev
Standards-Version: 3.9.2
# Homepage: 

Package: cccd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small GTK+ CD player program
 cccd is a small GTK+ CD player program with many features:
  * Works with SCSI devices
  * CDDB lookups (local and remote) and local storing
  * Uses very little screen space
  * Handles CD Extras (mixed mode CDs)

=== debian/watch ===
# Unused, there's no upstream location anymore.

## cccd 1.00.02

=== DESCRIPTION ===
Package: cccd
Version: 1.00.02
Date: 2010-11-04
Title: Class Cover Catch Digraphs
Author: David J. Marchette, <david.marchette@navy.mil>
Maintainer: David J. Marchette, <david.marchette@navy.mil>
Depends: deldir, igraph, plotrix
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
Note: Distribution A: Approved for Public Release
License: GPL (>= 2)
Packaged: 2010-11-04 10:41:44 UTC; dmarche
Repository: CRAN
Date/Publication: 2010-11-04 19:01:12

## cccd 1.00.05

=== DESCRIPTION ===
Package: cccd
Version: 1.00.05
Date: 2010-11-11
Title: Class Cover Catch Digraphs
Author: David J. Marchette, <david.marchette@navy.mil>
Maintainer: David J. Marchette, <dmarchette@gmail.com>
Depends: deldir, igraph, plotrix
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
Note: Distribution A: Approved for Public Release
License: GPL (>= 2)
Packaged: 2010-11-11 14:12:32 UTC; dmarche
Repository: CRAN
Date/Publication: 2010-11-12 07:32:00

## cccd 1.01

=== DESCRIPTION ===
Package: cccd
Version: 1.01
Date: 2012-4-17
Title: Class Cover Catch Digraphs
Author: David J. Marchette, <dmarchette@gmail.com>
Maintainer: David J. Marchette, <dmarchette@gmail.com>
Depends: igraph, plotrix, proxy
Suggests: deldir
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
License: GPL (>= 2)
Packaged: 2012-04-17 13:03:12 UTC; dmarchette
Repository: CRAN
Date/Publication: 2012-04-17 14:45:21

## cccd 1.02

=== DESCRIPTION ===
Package: cccd
Version: 1.02
Date: 2012-5-09
Title: Class Cover Catch Digraphs
Author: David J. Marchette, <dmarchette@gmail.com>
Maintainer: David J. Marchette, <dmarchette@gmail.com>
Depends: igraph0, plotrix, proxy
Suggests: deldir
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
License: GPL (>= 2)
Packaged: 2012-05-09 10:33:25 UTC; dmarchette
Repository: CRAN
Date/Publication: 2012-05-09 12:34:39

## cccd 1.03

=== DESCRIPTION ===
Package: cccd
Version: 1.03
Date: 2013-3-24
Title: Class Cover Catch Digraphs
Author: David J. Marchette, <dmarchette@gmail.com>
Maintainer: David J. Marchette, <dmarchette@gmail.com>
Depends: igraph, plotrix, proxy
Suggests: deldir
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
License: GPL (>= 2)
Packaged: 2013-03-24 14:40:23 UTC; dmarchette
Repository: CRAN
Date/Publication: 2013-03-24 16:16:28
NeedsCompilation: no

## cccd 1.04

=== DESCRIPTION ===
Package: cccd
Version: 1.04
Date: 2013-10-29
Title: Class Cover Catch Digraphs
Author: David J. Marchette <dmarchette@gmail.com>
Maintainer: David J. Marchette <dmarchette@gmail.com>
Depends: igraph, plotrix, proxy
Suggests: deldir, Matrix
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
License: GPL (>= 2)
Packaged: 2013-10-29 15:52:29 UTC; dmarchette
Repository: CRAN
Date/Publication: 2013-10-29 16:58:01
NeedsCompilation: no

## cccd 1.5

=== DESCRIPTION ===
Package: cccd
Version: 1.5
Date: 2015-05-27
Title: Class Cover Catch Digraphs
Author: David J. Marchette <dmarchette@gmail.com>
Maintainer: David J. Marchette <dmarchette@gmail.com>
Depends: igraph
Imports: proxy, deldir, FNN
Suggests: Matrix
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
License: GPL (>= 2)
Packaged: 2015-06-01 13:01:16 UTC; dmarchette
Repository: CRAN
Date/Publication: 2015-06-02 00:33:49
NeedsCompilation: no

## cccd 1.6

=== DESCRIPTION ===
Package: cccd
Version: 1.6
Date: 2022-04-08
Title: Class Cover Catch Digraphs
Author: David J. Marchette <dmarchette@gmail.com>
Maintainer: David J. Marchette <dmarchette@gmail.com>
Depends: igraph
Imports: proxy, deldir, FNN
Suggests: Matrix
Description: Class Cover Catch Digraphs, neighborhood graphs, and
        relatives.
License: GPL (>= 2)
Packaged: 2022-04-08 11:43:02 UTC; dmarchette
Repository: CRAN
Date/Publication: 2022-04-08 12:22:29 UTC
NeedsCompilation: no
